> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update camera details

> Update hardware details of camera



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/camera/updateDetails
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/camera/updateDetails:
    post:
      tags:
        - Camera Webservice
      summary: Update camera details
      description: Update hardware details of camera
      operationId: updateCameraDetails
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Camera_UpdateCameraWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Camera_UpdateCameraWSResponse'
          description: OK
      deprecated: true
components:
  schemas:
    Camera_UpdateCameraWSRequest:
      type: object
      description: Request to update camera information (deprecated).
      properties:
        camera:
          $ref: '#/components/schemas/Camera_CameraBackwardsCompatUpdateType'
    Camera_UpdateCameraWSResponse:
      type: object
      description: >-
        Response indicating the result of updating camera information
        (deprecated).
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Camera_CameraBackwardsCompatUpdateType:
      type: object
      description: Backwards compatible camera update type with optional fields.
      properties:
        archiveRegion:
          type: string
          description: Archive region for the camera
          example: us-west-1
          nullable: true
        deleted:
          type: boolean
          description: Whether the camera is deleted
          example: false
          nullable: true
        description:
          type: string
          description: Description of the camera
          example: Camera monitoring the main entrance
          nullable: true
        floorNumber:
          type: integer
          format: int32
          description: Floor number where the camera is located
          example: 1
          nullable: true
        latitude:
          type: number
          format: double
          description: Latitude coordinate of the camera
          example: 37.7749
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        longitude:
          type: number
          format: double
          description: Longitude coordinate of the camera
          example: -122.4194
          nullable: true
        mummified:
          type: boolean
          description: Whether the camera is mummified
          example: false
          nullable: true
        name:
          type: string
          description: Name of the camera
          example: Front Door Camera
          nullable: true
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````